# Gst::MessageLatency Class Reference

A latency message. More...

`#include <message.h>`

Inheritance diagram for Gst::MessageLatency:

List of all members.

## Public Member Functions
| MessageLatency (GstMessage* castitem)
## Static Public Member Functions
static Glib::RefPtr<Gst::Message> | create (const Glib::RefPtr<Gst::Object>& src)
| Creates a new latency message.

## Detailed Description

A latency message.

See create() for more details.

## Constructor& Destructor Documentation

Gst::MessageLatency::MessageLatency | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageLatency::create | ( | const Glib::RefPtr<Gst::Object>& | src | ) | `[static]`

Creates a new latency message.

This message can be posted by elements when their latency requirements have changed.

Parameters:

  | src | The object originating the message.

Returns:
  The new latency message. MT safe.

Since 0.10.12.

The documentation for this class was generated from the following file:

- message.h